unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, Menus, StdCtrls;

type
  TForm1 = class(TForm)
    MainMenu1: TMainMenu;
    Start1: TMenuItem;
    N11: TMenuItem;
    N21: TMenuItem;
    N31: TMenuItem;
    Help1: TMenuItem;
    Help11: TMenuItem;
    Help21: TMenuItem;
    procedure Start1DrawItem(Sender: TObject; ACanvas: TCanvas;
      ARect: TRect; Selected: Boolean);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

procedure TForm1.Start1DrawItem(Sender: TObject; ACanvas: TCanvas;
  ARect: TRect; Selected: Boolean);
var
  aPaintArear: TRect;
  aText: String;
  aTextHeight: Integer;
begin
  aText := TMenuItem(Sender).Caption;
  if MainMenu1.Items.Items[MainMenu1.Items.Count - 1] = TMenuItem(Sender) then
    aPaintArear := Rect(ARect.Left,ARect.Top,Self.Width - 4,ARect.Bottom)
  else
    aPaintArear := ARect;
  aTextHeight := ACanvas.TextHeight(aText);
  ACanvas.Brush.Style := bsClear;
  if Selected then
    begin
      ACanvas.Brush.Color := clHighlight;
      ACanvas.FillRect(ARect);
      ACanvas.Font.Color := clHighlightText;
    end
  else
    begin
      ACanvas.Brush.Color := Self.Color;
      ACanvas.FillRect(aPaintArear);
      ACanvas.Font.Color := clWindowText;
    end;
  ACanvas.TextOut( aPaintArear.Left + 3,ARect.Top + ( ARect.Bottom - ARect.Top  - aTextHeight ) div 2,aText);
end;

end.
